curl --request GET \
--url https://prod.truv.com/v1/links/{link_id}/employment/report/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/links/{link_id}/employment/report/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/links/{link_id}/employment/report/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"status": "new",
"finished_at": "2021-04-06T11:30:00Z",
"completed_at": "2021-04-06 11:30:00+00:00",
"access_token": "48427a36d43c4d5aa6324bc06c692456",
"tracking_info": "user123456",
"employments": [
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"profile": {
"first_name": "John",
"last_name": "Doe",
"id": "48427a36d43c4d5aa6324bc06c692456",
"created_at": "2022-06-07T15:00:00Z",
"updated_at": "2022-06-30T15:00:00Z",
"full_name": "John Doe",
"middle_initials": "K",
"email": "john.doe@example.com",
"ssn": "123456789",
"date_of_birth": "1992-03-03",
"home_address": {
"street": "1 Morgan Ave",
"city": "Los Angeles",
"state": "CA",
"zip": "90210",
"country": "US"
}
},
"company": {
"name": "Facebook Demo",
"address": {
"street": "1 Morgan Ave",
"city": "Los Angeles",
"state": "CA",
"zip": "90210",
"country": "US"
},
"phone": "6503087300",
"ein": "770493581"
},
"is_active": false,
"job_title": "PR associate",
"job_type": "F",
"start_date": "2018-01-01",
"original_hire_date": "2017-06-21",
"end_date": "2023-12-25",
"external_last_updated": "2023-12-25",
"dates_from_statements": false,
"derived_fields": [
"is_active"
],
"missing_data_fields": [
"w2s"
],
"manager_name": "Jenny McDouglas"
}
],
"provider": "adp",
"is_suspicious": true,
"pdf_report": "https://cdn.truv.com/report.pdf",
"data_source": "payroll"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Retrieve an employment history report for a link
The endpoint returns the VOE report for a link
Authorizations
Client ID
Client Access Key
Path Parameters
Response
Data for the employment verification
Unique ID
32"24d7e80942ce4ad58a93f70ce4115f5c"
"new"
Time when report was finished
"2021-04-06T11:30:00Z"
Time when report was completed (Deprecated, invalid datetime format)
"2021-04-06 11:30:00+00:00"
Access token for a Link to payroll provider
32"48427a36d43c4d5aa6324bc06c692456"
Any information passed to the Truv Bridge from a partner
255"user123456"
List of employments received from a payroll provider
Show child attributes
Show child attributes
Payroll provider name
64"adp"
Flag to indicate if the data from the source is suspicious. E.g. fraud detected in uploaded documents or SSN of the user does not match with the data
Verification report in PDF format
"https://cdn.truv.com/report.pdf"
Source of data: crawler - payroll provider parsing, docs - user uploaded documents
payroll, docs, financial_accounts "payroll"
Was this page helpful?